Skip to main content
POST
/
public-api
/
insights
/
analyze
Start an Insights analysis
curl --request POST \
  --url https://api.neoagent.io/public-api/insights/analyze \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "hourly_rate": 123,
  "period_days": 123,
  "sample_size": 123
}
'
{
  "data": {
    "analysis_id": 123
  },
  "meta": {
    "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "timings_ms": {},
    "pagination": {
      "has_more": true,
      "next_cursor": "<string>"
    },
    "warnings": [
      "<string>"
    ]
  }
}

Authorizations

Authorization
string
header
required

Authorization: Bearer <token> where <token> is either a neo_sk_<env>_<secret> API key (service account) or a Microsoft Entra ID access token (dashboard user).

Body

application/json
currency_symbol
enum<string> | null
Available options:
$,
£,
hourly_rate
number | null
period_days
integer | null
sample_size
integer | null

Response

Success.

data
StartAnalysisResponse · object
required
meta
object
required